{% load static %}
<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>New Recipe - Scrumptious</title>
        <link rel="stylesheet" href="{% static 'css/app.css' %}">
    </head>
    <body class="background">
        <header>
            <nav>
                <ul>
                    <li>
                        <a href="{% url 'home' %}">Recipes</a>
                    </li>
                    <li>
                        <a href="{% url 'tags_list' %}">Tags</a>
                    </li>
                    <li>
                        <a href="{% url 'meal_plans_list' %}">Meal Plans</a>
                    </li>
                    <li>
                        <a href="{% url 'recipe_new' %}">Write a Recipe</a>
                    </li>
                    <li>
                        <a href="{% url 'tag_new' %}">Write a Tag</a>
                    </li>
                    <li>
                        <a href="{% url 'meal_plan_new' %}">Write a Meal Plan</a>
                    </li>
                    <li>
                        <a href="{% url 'shopping_items_list' %}">Shop List ({{ user.shopping_item.all|length }})</a>
                        {% comment %}
                            user.shopping_item.all is pulled from models.py, class ShoppingItem, related_name
                            shopping items has a foreign key to user
                        {% endcomment %}
                    </li>
                    {% if user.is_staff %}
                        <li>
                            <a href="{% url 'admin:index' %}">Admin</a>
                        </li>
                    {% endif %}
                    {% if user.is_authenticated %}
                        <li>
                            <a href="{% url 'logout' %}">Logout</a>
                        </li>
                    {% else %}
                        <li>
                            <a href="{% url 'login' %}">Login</a>
                        </li>
                    {% endif %}
                </ul>
            </nav>
            {% block pagination %}
            {% endblock pagination %}
        </header>
        {% block content %}
        {% endblock content %}
    </body>
</html>
